Categories:
  - Navigation
License: GPL-3.0-only
AuthorName: Tobias Zwick
AuthorEmail: osm@westnordost.de
WebSite: https://github.com/streetcomplete/StreetComplete/wiki
SourceCode: https://github.com/streetcomplete/StreetComplete
IssueTracker: https://github.com/streetcomplete/StreetComplete/issues
Translation: https://poeditor.com/join/project/IE4GC127Ki
Changelog: https://github.com/streetcomplete/StreetComplete/releases
LiberapayID: '1625952'

AutoName: Street­Complete
Description: |-
    Help to improve the OpenStreetMap with StreetComplete!

    This app finds incomplete and extendable data in your vicinity and displays it
    on a map as markers. Each of those is solvable by answering a simple question to
    complete the info on site.

    The info you enter is then directly added to the OpenStreetMap in your name,
    without the need to use another editor.

RepoType: git
Repo: https://github.com/streetcomplete/StreetComplete.git

Builds:
  - versionName: '0.4'
    versionCode: 1
    commit: 4f5f79f3bc4869407aeac39b7ca3cba848b71e39
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.5'
    versionCode: 2
    commit: v0.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.6'
    versionCode: 3
    disable: corrupted db
    commit: v0.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.7'
    versionCode: 4
    commit: v0.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.8'
    versionCode: 5
    commit: v0.8
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.10'
    versionCode: 7
    commit: v0.10
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.11'
    versionCode: 8
    commit: v0.11
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.12'
    versionCode: 9
    commit: v0.12
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '0.13'
    versionCode: 10
    commit: v0.13
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '1.0'
    versionCode: 100
    commit: v1.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '1.1'
    versionCode: 101
    commit: v1.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '1.2'
    versionCode: 102
    commit: v1.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '1.3'
    versionCode: 103
    commit: v1.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '1.4'
    versionCode: 104
    commit: v1.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '2.0'
    versionCode: 200
    commit: v2.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/def keystorePropertiesFile/,+9d' build.gradle

  - versionName: '2.1'
    versionCode: 201
    commit: v2.1
    subdir: app
    gradle:
      - yes

  - versionName: '2.2'
    versionCode: 202
    commit: v2.2
    subdir: app
    gradle:
      - yes

  - versionName: '2.3'
    versionCode: 203
    commit: v2.3
    subdir: app
    gradle:
      - yes

  - versionName: '2.4'
    versionCode: 204
    disable: Could not find com.android.tools.build:gradle:3.0.0
    commit: v2.4
    subdir: app
    gradle:
      - yes

  - versionName: '3.0'
    versionCode: 300
    disable: Could not find com.android.tools.build:gradle:3.0.0
    commit: v3.0
    subdir: app
    gradle:
      - yes

  - versionName: '3.1'
    versionCode: 301
    commit: v3.1
    subdir: app
    gradle:
      - yes

  - versionName: '3.2'
    versionCode: 302
    commit: v3.2
    subdir: app
    gradle:
      - yes

  - versionName: '3.3'
    versionCode: 303
    commit: v3.3
    subdir: app
    gradle:
      - yes

  - versionName: '3.4'
    versionCode: 304
    commit: v3.4
    subdir: app
    gradle:
      - yes

  - versionName: '3.5'
    versionCode: 305
    commit: v3.5
    subdir: app
    gradle:
      - yes

  - versionName: '3.6'
    versionCode: 306
    commit: v3.6
    subdir: app
    gradle:
      - yes

  - versionName: '3.7'
    versionCode: 307
    commit: v3.7
    subdir: app
    gradle:
      - yes

  - versionName: '4.0'
    versionCode: 402
    commit: v4.0
    subdir: app
    gradle:
      - yes

  - versionName: '4.1'
    versionCode: 403
    commit: v4.1
    subdir: app
    gradle:
      - yes

  - versionName: '5.0'
    versionCode: 502
    commit: v5.0
    subdir: app
    gradle:
      - yes

  - versionName: '5.1'
    versionCode: 503
    commit: v5.1
    subdir: app
    gradle:
      - yes

  - versionName: '5.2'
    versionCode: 504
    commit: v5.2
    subdir: app
    gradle:
      - yes

  - versionName: '6.0'
    versionCode: 602
    commit: v6.0
    subdir: app
    gradle:
      - yes

  - versionName: '6.1'
    versionCode: 603
    commit: v6.1
    subdir: app
    gradle:
      - yes

  - versionName: '7.0'
    versionCode: 701
    commit: v7.0
    subdir: app
    gradle:
      - yes

  - versionName: '7.1'
    versionCode: 702
    commit: v7.1
    subdir: app
    gradle:
      - yes

  - versionName: '8.0'
    versionCode: 801
    commit: v8.0
    subdir: app
    gradle:
      - yes

  - versionName: '8.1'
    versionCode: 802
    commit: v8.1
    subdir: app
    gradle:
      - yes

  - versionName: '8.2'
    versionCode: 803
    commit: v8.2
    subdir: app
    gradle:
      - yes

  - versionName: '8.3'
    versionCode: 804
    commit: v8.3
    subdir: app
    gradle:
      - yes

  - versionName: '8.4'
    versionCode: 805
    commit: v8.4
    subdir: app
    gradle:
      - yes

  - versionName: '9.0'
    versionCode: 901
    commit: v9.0
    subdir: app
    gradle:
      - yes

  - versionName: '10.0'
    versionCode: 1003
    commit: v10.0
    subdir: app
    gradle:
      - yes

  - versionName: '10.1'
    versionCode: 1004
    commit: v10.1
    subdir: app
    gradle:
      - yes

  - versionName: '10.2'
    versionCode: 1005
    commit: v10.2
    subdir: app
    gradle:
      - yes

  - versionName: '11.0'
    versionCode: 1101
    commit: v11.0
    subdir: app
    gradle:
      - yes

  - versionName: '12.0'
    versionCode: 1201
    commit: v12.0
    subdir: app
    gradle:
      - yes

  - versionName: '12.1'
    versionCode: 1202
    commit: v12.1
    subdir: app
    gradle:
      - yes

  - versionName: '12.2'
    versionCode: 1203
    commit: v12.2
    subdir: app
    gradle:
      - yes

  - versionName: '13.0'
    versionCode: 1301
    commit: v13.0
    subdir: app
    gradle:
      - yes

  - versionName: '14.0'
    versionCode: 1401
    commit: v14.0
    subdir: app
    gradle:
      - yes

  - versionName: '14.1'
    versionCode: 1402
    commit: v14.1
    subdir: app
    gradle:
      - yes

  - versionName: '15.0'
    versionCode: 1501
    commit: v15.0
    subdir: app
    gradle:
      - yes

  - versionName: '16.0'
    versionCode: 1601
    commit: v16.0
    subdir: app
    gradle:
      - yes

  - versionName: '16.1'
    versionCode: 1602
    commit: v16.1
    subdir: app
    gradle:
      - yes

  - versionName: '17.0'
    versionCode: 1703
    commit: v17.0
    subdir: app
    gradle:
      - yes

  - versionName: '17.3'
    versionCode: 1706
    commit: v17.3
    subdir: app
    gradle:
      - yes

  - versionName: 18.0-beta1
    versionCode: 1800
    disable: beta
    commit: v18.0-beta1
    subdir: app
    gradle:
      - yes

  - versionName: '18.0'
    versionCode: 1801
    commit: v18.0
    subdir: app
    gradle:
      - yes

  - versionName: 19.0-alpha1
    versionCode: 1900
    disable: beta
    commit: v19.0-alpha1
    subdir: app
    gradle:
      - yes

  - versionName: '19.0'
    versionCode: 1902
    commit: v19.0
    subdir: app
    gradle:
      - yes

  - versionName: '19.1'
    versionCode: 1903
    commit: v19.1
    subdir: app
    gradle:
      - yes

  - versionName: '19.2'
    versionCode: 1904
    commit: v19.2
    subdir: app
    gradle:
      - yes

  - versionName: '20.0'
    versionCode: 2002
    commit: v20.0
    subdir: app
    gradle:
      - yes

  - versionName: '20.1'
    versionCode: 2003
    commit: v20.1
    subdir: app
    gradle:
      - yes

  - versionName: '20.2'
    versionCode: 2004
    commit: v20.2
    subdir: app
    gradle:
      - yes

  - versionName: '21.0'
    versionCode: 2101
    commit: v21.0
    subdir: app
    gradle:
      - yes

  - versionName: '21.1'
    versionCode: 2102
    commit: v21.1
    subdir: app
    gradle:
      - yes

  - versionName: '21.2'
    versionCode: 2103
    commit: v21.2
    subdir: app
    gradle:
      - yes

  - versionName: '22.0'
    versionCode: 2201
    commit: v22.0
    subdir: app
    gradle:
      - yes

  - versionName: '22.1'
    versionCode: 2202
    commit: v22.1
    subdir: app
    gradle:
      - yes

  - versionName: '22.2'
    versionCode: 2203
    commit: v22.2
    subdir: app
    gradle:
      - yes

  - versionName: '22.3'
    versionCode: 2204
    commit: v22.3
    subdir: app
    gradle:
      - yes

  - versionName: '23.0'
    versionCode: 2302
    commit: v23.0
    subdir: app
    gradle:
      - yes

  - versionName: '24.0'
    versionCode: 2401
    commit: v24.0
    subdir: app
    gradle:
      - yes

  - versionName: '24.1'
    versionCode: 2402
    commit: v24.1
    subdir: app
    gradle:
      - yes

  - versionName: '25.1'
    versionCode: 2501
    commit: v25.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '26.0'
    versionCode: 2603
    commit: v26.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '26.1'
    versionCode: 2604
    commit: v26.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '26.2'
    versionCode: 2605
    commit: v26.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '27.0'
    versionCode: 2703
    commit: v27.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '27.1'
    versionCode: 2704
    commit: v27.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '27.2'
    versionCode: 2705
    commit: v27.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '28.0'
    versionCode: 2802
    commit: v28.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '28.1'
    versionCode: 2803
    commit: v28.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '29.0'
    versionCode: 2901
    commit: v29.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '29.1'
    versionCode: 2902
    commit: v29.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '30.0'
    versionCode: 3001
    commit: v30.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '30.1'
    versionCode: 3002
    commit: v30.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '31.0'
    versionCode: 3101
    commit: v31.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '31.1'
    versionCode: 3102
    commit: v31.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '31.2'
    versionCode: 3103
    commit: v31.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '31.3'
    versionCode: 3104
    commit: v31.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '32.0'
    versionCode: 3203
    commit: v32.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

  - versionName: '32.1'
    versionCode: 3204
    commit: v32.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystorePropertiesFile.*{/,/}/d; /keystorePropertiesFile/d'
        build.gradle.kts

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags ^v\d+(\.\d+)?$
CurrentVersion: '32.1'
CurrentVersionCode: 3204
